View Issue Details

IDProjectCategoryView StatusLast Update
0000346Cinelerra-GG[All Projects] Bugpublic2019-12-31 20:05
ReporterPierre Assigned ToPhyllisSmith  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi7-3770k, 32GB(ram), GTX-750TiOSLinux Mint MateOS Version18.3
Product Version 
Target VersionFixed in Version2019-12 
Summary0000346: The image disappears when a project including a trancoded source is reopened.
DescriptionThe transcode test project I did with the problematic source provided by Andrew https://yadi.sk/i/ivzmAc2UGq-Wwg works well when creating the project, but:

If I order the transcoded version of the file, without removing the original of the project, but only use the transcoded version.

I place the transcoded version in the Viewer, it is easy to view. I drag the source directly onto the timeline, it behaves well there and I can view all the parts I want in the composer.

If you save this test project and then re-open it, only the first frame is visible in the viewer and the composer, most of the timeline images are no longer displayed, only the sound still plays normally.

If I put the transcoded version back into the viewer, it now displays correctly and the composer plays again the selection I make in the timeline, but the missing images are still missing from the timeline.

If I delete the contents of the timeline and re-drag the transcoded source, everything comes back in order. But even if I save these changes to the project, the next time I reopen... the same problems are back.
TagsNo tags attached.

Activities

Pierre

Pierre

2019-12-30 13:57

updater   ~0002608

I confirm that the described problem of image disappearance when using vdpau with Andrew's problematic file, is now solved with the Dec 29th version of CinGG.

I can't see from this simple test if vdpau is now faster than before and I can't test cuda under Linux Mint 18.3 either, it wouldn't work there. I'll have to wait for cuda until I redo the whole installation of this desktop with a newer linux mint.

But the important thing is that the problem is now solved, great.
Pierre

Pierre

2019-12-29 05:27

updater   ~0002606

That's great news!

Not only do you and GG seem to have solved the problem described, but I understand that in future versions of CinGG, we can now expect a significant improvement in GPU support for real-time viewing rendering.

Nice work!
PhyllisSmith

PhyllisSmith

2019-12-29 04:49

manager   ~0002605

@Pierre: after carefully following the steps you outlined, we were able to easily create the error and then gg was able to fix this and he checked that into GIT today.

This was a serious error related to all of the hardware usage types (not related to transcode at all but that is what demonstrated the mistake) . So it affected vdpau, vaapi, cuda, and Nvidia encode. In testing the fix, we re-ran a bunch of tests using the hardware accelerators. Some quick test results for decoding (playing):

   - no hardware acceleration = 60% CPU utilization
   - hardware acceleration with vdpau = 49% CPU utilization
   - CUDA on a different computer = 23% CPU versus without hardware = 60%
  - vaapi on a different laptop = 23% CPU versus without hardware = 55 %
PhyllisSmith

PhyllisSmith

2019-12-18 01:53

manager   ~0002579

Last edited: 2019-12-18 01:55

View 2 revisions

@Olaf: "MediaInfo excerpts show that the scan type is written from Interlaced to Progressive, although the project was set to Interlaced before transcoding and the material is not DeInterlaced after transcoding. Any tips?" If I understand this correctly, below is my understanding of a tip.

When you set the File format to ffmpeg and the file type to mp4 (for example), the parameters supplied in the options files are used for the conversion. You can modify the options file parameter for the libx264 to use interlace instead of progressive. So if using h264.mp4, add onto the last line for Interlaced Top Field First, the following line (use bff instead of tff for bottom field first): x264-params keyint=25:tff=1

We are working on this BT and BT 350 today so I had re-read this for details in testing and so wanted to provide an answer on Interlacing question.

PhyllisSmith

PhyllisSmith

2019-12-11 03:25

manager   ~0002565

OK, thanks. Looks like "Failed to get HW surface format." is the problem. I have to ask GG for an explanation when he becomes available.
Pierre

Pierre

2019-12-11 03:16

updater   ~0002564

Here is the content of the terminal of the launch of this CinGG twice.
The first time with vdpau not selected in the preferences and the second time with vdpau selected.

Each time after the launch, I loaded the transcoding test of Andrew's problematic file. Then I started by playing the timeline where it was, then another time by moving the cursor elsewhere on the timeline. Then I did the same thing in the viewer.

In the first situation (without vdpau) each time the video and image have scrolled well.

But, in the second situation (with vdpau) either on the timeline or in the viewer, the image and sound did scroll by scrolling from where they were when they opened, but if I move the playback positions elsewhere, only the sound plays while the image remains completely black.

I also attach here the xml file of the test.

Transcode test terminal (19,579 bytes)
Launch of CinGG
WITHOUT VDPAU:


[email protected] ~ $ cin
Cinelerra Infinity - built: Nov 30 2019 11:53:26
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

FFMPEG::open_decoder: some stream times estimated: /media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.avi
FFMPEG::open_decoder: some stream times estimated: /media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.avi
Session time: 0:00:29
Cpu time: user: 0:00:05.972 sys: 0:00:01.144
[email protected] ~ $ 





Launch of CinGG
WITH VDPAU:


[email protected] ~ $ cin
Cinelerra Infinity - built: Nov 30 2019 11:53:26
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

Session time: 0:00:32
Cpu time: user: 0:00:01.052 sys: 0:00:00.390
[email protected] ~ $ 
[email protected] ~ $ 
[email protected] ~ $ cin
Cinelerra Infinity - built: Nov 30 2019 11:53:26
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

FFMPEG::open_decoder: some stream times estimated: /media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.avi
Decoder dvvideo does not support device type vdpau.
FFMPEG::open_decoder: some stream times estimated: /media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.avi
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Failed to get HW surface format.
FFStream::decode: avcodec_send_packet failed.
file:/media/raid/Pierre/MEDIAS_POUR_MONTAGE/AUTRES_sources/TEST Dolphinarium/Leningrad_dolphinarium_16_09_2009_LD_160909_2.transcode-avi.mp4
  err : Invalid data found when processing input
FFStream::decode: failed
Session time: 0:00:29
Cpu time: user: 0:00:02.471 sys: 0:00:01.058
[email protected] ~ $ 

Transcode test terminal (19,579 bytes)
Test Dolphinarium.xml (19,631 bytes)
PhyllisSmith

PhyllisSmith

2019-12-10 23:49

manager   ~0002562

@Pierre: I followed your steps carefully and can not generate the problem BUT I think it is because my laptop ignores vdpau as a HW_device. When I can boot another computer that handles vdpau, I will try again. If gg can generate the problem, he will be able to either fix it or let us know why it can not be fixed. It is always best to fix these bugs if at all possible as sometimes they sneak up on you in unintended ways.

If you start from a window instead using the command line maybe there would be informational messages in that window.
Pierre

Pierre

2019-12-10 21:26

updater   ~0002561

The codec is simple...
I used the default codec offered in Transcode:
Type file: FFMPEG, mp4
Audio: h264.mp4
Video: h264.mp4

In fact, I have so far only used the new "Transcode" feature to test its effectiveness in managing a problematic file like the one provided by Andrew. My other media sources, HDV, DNxHD, avchd, they work without difficulty.

I will choose the codec more carefully, the day I really need to use this feature for one of my projects.

I think that decoding dvvideo is not that incapable of using vdpau;

I remind you that I indicated that in my test (with the Andew DV file) everything worked normally, as expected (and this, under vdpau enabled) and that it was only when the project reopened once saved, that there was a loss of video playback capacity in other points than the very beginning, In fact, if I put the transcoded source back into the viewer, all images become instantly available again, including on the timeline and the composer.
Olaf

Olaf

2019-12-10 09:37

reporter   ~0002559

> "Decoder dvvideo does not support device type vdpau."
Vdpau is simply omitted, but still has no problems. You still haven't answered the question about the codec; so turn off Vdpau and it's good.
Pierre

Pierre

2019-12-09 19:35

updater   ~0002558

vdpau is the culprit!

After removing.bcast5 folder, I only added the:

layout1_...rc
layout2_...rc
layout3_...rc
layout4_...rc

To the new.bcast5 folder created, otherwise basic

At that time the problem of missing images from the transcode test with Andrew's problematic file https://yadi.sk/i/ivzmAc2UGq-Wwg was gone.

I then undertook to change the preferences one by one, checking each time after a CinGG restart that the problem described regarding Andrew's file did not return.

I first chose the X11-OpenGL video driver, then I increased the cache size to 1024.

I restarted CinGG and there was still no problem with Andrew's file.

Then I chose the HW Device vdpau.

Then I relaunched CinGG....

 The same problems with Andrew's file are back....

But, if I remove vdpau, the problem disappears.

vdpau is the culprit!
PhyllisSmith

PhyllisSmith

2019-12-08 03:52

manager   ~0002555

palette.dat is for choosing colors like in the Title plugin for your characters and outline colors. It is not that important but if you had a certain color of red you like to use, it will still be in the color wheel choice in the lower left hand corner.

I am surprised that Cinelerra_rc had to be deleted also and do not have a clue as to why that would cause a problem.
Pierre

Pierre

2019-12-08 01:30

updater   ~0002554

Thank you Phyllis for the information on the strings to keep.

I did it but I couldn't keep "Cinelerra_rc"; if I keep it, the problem described remains.

If I only keep it:
pallet.dat
layout1_...rc
layout2_...rc
layout3_...rc
layout4_...rc

I have to readjust CinGG, but the problem described is fixed and I get my Layouts back which is very appreciated.

Question: What is "palette.dat" used for?
PhyllisSmith

PhyllisSmith

2019-12-07 18:15

manager   ~0002552

@Pierre, thanks for testing in the first place and for the final followup.
Maybe before making the drastic step of throwing away the .bcast5 folder, you could delete all of the files there, EXCEPT:

Cinelerra_rc
palette.dat
layout1_...rc
layout2_...rc
layout3_...rc
layout4_...rc
That way you would not lose so much of your configuration. If that does not solve the problem then you can still delete those too. However, this does not mean that there is still not some kind of bug in the first place -- some file must have been corrupt.

I will close this issue in a day or 2 in case anyone wants to add anything.
Pierre

Pierre

2019-12-07 15:35

updater   ~0002551

Problem solved.

I did what I don't like to do (because I then have to reconfigure CinGG to my liking in the preferences), I threw away the".bcast5" folder.

Then the problem of missing images from the transcode test with Andrew's problematic file https://yadi.sk/i/ivzmAc2UGq-Wwg is gone, everything works fine now.
PhyllisSmith

PhyllisSmith

2019-12-06 00:37

manager   ~0002549

Last edited: 2019-12-06 00:43

View 2 revisions

@Olaf -- "I don't see anything problematic about Andrew's video, it's an ordinary DV/PCM in an AVI container."
If you play from the beginning it works fine as is. If you move the cursor to further down and try to play, the audio no longer plays correctly. I think this is described in BT 0000330. A patch was created for these types of files for Andrew to use if he wanted to BUT this patch is not going to be checked into GIT because the philosophy is that it is better to fix files that have problems rather than have Cinelerra compensate for every thing that can go wrong!

Olaf

Olaf

2019-12-05 10:40

reporter   ~0002544

I don't see anything problematic about Andrew's video, it's an ordinary DV/PCM in an AVI container. The transcoding went smoothly and even after repeated opening I can't see any misbehaviour. And even if it's exotic material, the transcoding is meant to turn problematic raw material into editable material. This should not be confused with the use of proxies. Lossless or optically lossless codecs are usually used for this purpose. What do you use?

By the way, the attached MediaInfo excerpts show that the scan type is written from Interlaced to Progressive, although the project was set to Interlaced before transcoding and the material is not DeInterlaced after transcoding. Any tips?

LD_160909_2.avi.mi.txt (2,522 bytes)
General
Complete name                            : LD_160909_2.avi
Format                                   : AVI
Format/Info                              : Audio Video Interleave
Commercial name                          : DVCPRO
Format profile                           : OpenDML
File size                                : 2.29 GiB
Duration                                 : 11 min 21 s
Overall bit rate mode                    : Constant
Overall bit rate                         : 28.9 Mb/s
Recorded date                            : 2009-09-15 14:23:13.000

Video
ID                                       : 0
Format                                   : DV
Commercial name                          : DVCPRO
Duration                                 : 11 min 21 s
Bit rate mode                            : Constant
Bit rate                                 : 24.4 Mb/s
Encoded bit rate                         : 28.8 Mb/s
Width                                    : 720 pixels
Height                                   : 576 pixels
Display aspect ratio                     : 4:3
Frame rate mode                          : Constant
Frame rate                               : 25.000 FPS
Standard                                 : PAL
Chroma subsampling                       : 4:2:0
Bit depth                                : 8 bits
Scan type                                : Interlaced
Scan order                               : Bottom Field First
Compression mode                         : Lossy
Bits/(Pixel*Frame)                       : 2.357
Time code of first frame                 : 00:00:07:24
Time code source                         : Subcode time code
Stream size                              : 2.28 GiB (100%)
Encoding settings                        : ae mode=manual / wb mode=automatic / white balance= / fcm=manual focus

Audio
ID                                       : 0-0
Format                                   : PCM
Muxing mode                              : DV
Muxing mode, more info                   : Muxed in Video #1
Duration                                 : 11 min 21 s
Bit rate mode                            : Constant
Bit rate                                 : 1 536 kb/s
Encoded bit rate                         : 0 b/s
Channel(s)                               : 2 channels
Sampling rate                            : 48.0 kHz
Bit depth                                : 16 bits
Stream size                              : 125 MiB (5%)
Encoded stream size                      : 0.00 Byte (0%)


LD_160909_2.avi.mi.txt (2,522 bytes)
LD_160909_2.convert-avi.pro.mi.txt (2,451 bytes)
General
Complete name                            : LD_160909_2.convert-avi.pro
Format                                   : MPEG-4
Format profile                           : QuickTime
Codec ID                                 : qt   0000.02 (qt  )
File size                                : 2.77 GiB
Duration                                 : 11 min 21 s
Overall bit rate mode                    : Variable
Overall bit rate                         : 34.9 Mb/s
Writing application                      : Lavf58.29.100
FileExtension_Invalid                    : mov mp4 m4v m4a m4b m4p m4r 3ga 3gpa 3gpp 3gp 3gpp2 3g2 k3g jpm jpx mqv ismv isma ismt f4a f4b f4v

Video
ID                                       : 1
Format                                   : ProRes
Format version                           : Version 0
Format profile                           : 422
Codec ID                                 : apcn
Duration                                 : 11 min 21 s
Bit rate mode                            : Variable
Bit rate                                 : 32.6 Mb/s
Width                                    : 720 pixels
Height                                   : 576 pixels
Display aspect ratio                     : 4:3
Frame rate mode                          : Constant
Frame rate                               : 25.000 FPS
Standard                                 : PAL
Color space                              : YUV
Chroma subsampling                       : 4:2:2
Scan type                                : Progressive
Bits/(Pixel*Frame)                       : 3.148
Stream size                              : 2.59 GiB (93%)
Writing library                          : fmpg

Audio
ID                                       : 2
Format                                   : PCM
Format settings                          : Little / Signed
Codec ID                                 : in24
Duration                                 : 11 min 21 s
Bit rate mode                            : Constant
Bit rate                                 : 2 304 kb/s
Channel(s)                               : 2 channels
Channel layout                           : L R
Sampling rate                            : 48.0 kHz
Bit depth                                : 24 bits
Stream size                              : 187 MiB (7%)
Language                                 : German
Default                                  : Yes
Alternate group                          : 1


PhyllisSmith

PhyllisSmith

2019-12-05 05:11

manager   ~0002542

@Pierre - I still am not able to create the problem that you see. The reason the source file has a default tag of "convert" is because when the menu comes up, the Tag suffix box has ".convert" in it from before the change to transcode was made. That Tag suffix was saved in your preferences when you tested the original version. So you have to manually change the Tag suffix testbox to get it changed from now on to .transcode or whatever you want instead. We wanted to make the Tag suffix settable by the user in case there was a name conflict or language issue.
Pierre

Pierre

2019-12-04 22:47

updater   ~0002541

Yes, if I use files of my own that do not have any problems running in CinGG, the problem of maintaining images when reopening is not present; everything is normal.

The problem described (loss of image on reopening) only seems to occur with Andrew's problematic file https://yadi.sk/i/ivzmAc2UGq-Wwg. Isn't this the very reason Transcode exists, to facilitate the use of such problematic sources?

Another thing I noticed now that I have In the preferences deleted all existing indexes and thumbnails, every time previous projects open, it re-indexes the sources... each time. This, even though I increased the size of the index files to 163840 KB (about 10x bigger) instead of 16384 KB.
IgorBeg

IgorBeg

2019-12-04 17:30

reporter   ~0002532

I have tried too but with my “.mov” videos source and transcoded in XviD on UbuntuStudio16.04, and like Phyllis and Olaf, it works.

May be that it depends from the type of the transcode format?
Are you (Pierre) tested with your own files, before?
Pierre

Pierre

2019-12-04 14:19

updater   ~0002530

The same problem occurs if I reconstruct index (by lmb) from the convert source

I also rebuilt the test from the beginning from the file by Andrew https://yadi.sk/i/ivzmAc2UGq-Wwg

I checked in the preferences menu that the size of the index files is 16384 KB

In the preferences I deleted all existing indexes and thumbnails.

Same problems....

I noticed that even if the function is now called "transcode", the source file created always has by default a Tag".convert" instead of .transcoded, is that correct?
Olaf

Olaf

2019-12-04 10:04

reporter   ~0002529

I have tried to recreate this with my own footage (mp4/mts to ffvhuff/mkv), unfortunately unsuccessfully. In this relationship everything behaves as it should. Will the index possibly be lost? Maybe increasing the size of the index files will help? I use 16384 KB on an own SSD. But I can't say from a distance if this is the reason.
PhyllisSmith

PhyllisSmith

2019-12-03 18:13

manager   ~0002523

I have not been able to reproduce when I transcoded to ffmpeg / mp4 following your steps. Most likely the problem is that a "rebuild index" may be required. Try lmb (left mouse click) in the Resources window / Media folder on the LD...transcode... file and select the 4th option of "Rebuild index". Then save project with the transcoded file and try to re-open and check to see if you still have the same problem. Rebuild index often solves problems.

Meanwhile I will continue to try to reproduce the error and see what can be done.

Issue History

Date Modified Username Field Change
2019-12-02 16:57 Pierre New Issue
2019-12-03 18:13 PhyllisSmith Assigned To => PhyllisSmith
2019-12-03 18:13 PhyllisSmith Status new => acknowledged
2019-12-03 18:13 PhyllisSmith Note Added: 0002523
2019-12-04 10:04 Olaf Note Added: 0002529
2019-12-04 14:19 Pierre Note Added: 0002530
2019-12-04 17:30 IgorBeg Note Added: 0002532
2019-12-04 22:47 Pierre Note Added: 0002541
2019-12-05 05:11 PhyllisSmith Note Added: 0002542
2019-12-05 10:40 Olaf File Added: LD_160909_2.avi.mi.txt
2019-12-05 10:40 Olaf File Added: LD_160909_2.convert-avi.pro.mi.txt
2019-12-05 10:40 Olaf Note Added: 0002544
2019-12-06 00:37 PhyllisSmith Note Added: 0002549
2019-12-06 00:43 PhyllisSmith Note Edited: 0002549 View Revisions
2019-12-07 15:35 Pierre Note Added: 0002551
2019-12-07 18:15 PhyllisSmith Note Added: 0002552
2019-12-08 01:30 Pierre Note Added: 0002554
2019-12-08 03:52 PhyllisSmith Note Added: 0002555
2019-12-09 00:32 PhyllisSmith Status acknowledged => closed
2019-12-09 00:32 PhyllisSmith Resolution open => fixed
2019-12-09 19:35 Pierre Status closed => feedback
2019-12-09 19:35 Pierre Resolution fixed => reopened
2019-12-09 19:35 Pierre Note Added: 0002558
2019-12-10 09:37 Olaf Note Added: 0002559
2019-12-10 21:26 Pierre Note Added: 0002561
2019-12-10 21:26 Pierre Status feedback => assigned
2019-12-10 23:49 PhyllisSmith Note Added: 0002562
2019-12-11 03:16 Pierre File Added: Transcode test terminal
2019-12-11 03:16 Pierre File Added: Test Dolphinarium.xml
2019-12-11 03:16 Pierre Note Added: 0002564
2019-12-11 03:25 PhyllisSmith Note Added: 0002565
2019-12-18 01:53 PhyllisSmith Note Added: 0002579
2019-12-18 01:55 PhyllisSmith Note Edited: 0002579 View Revisions
2019-12-29 04:49 PhyllisSmith Note Added: 0002605
2019-12-29 05:27 Pierre Note Added: 0002606
2019-12-30 13:57 Pierre Note Added: 0002608
2019-12-30 14:34 PhyllisSmith Status assigned => resolved
2019-12-30 14:34 PhyllisSmith Resolution reopened => fixed
2019-12-30 14:34 PhyllisSmith Fixed in Version => 2019-12
2019-12-31 20:05 PhyllisSmith Status resolved => closed